SDL_PRINTF_FORMAT_STRING(3)

NAME
SDL_PRINTF_FORMAT_STRING - Macro that annotates function params as printf-style format strings.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_PRINTF_FORMAT_STRING _Printf_format_string_

DESCRIPTION
If we were to annotate fprintf:

        int fprintf(FILE *f, SDL_PRINTF_FORMAT_STRING const char *fmt, ...);

This notes that fmt should be a printf-style format string. The compiler or other analysis tools can warn when this doesn't appear to be the case.

On compilers without this annotation mechanism, this is defined to nothing.

AVAILABILITY
This macro is available since SDL 3.2.0.